Retrieve channel briefings
| /cm/channels/briefings/retrieve Retrieve channel briefings |
POST /cm/channels/briefings/retrieve
- Operation Id
-
retrieveChannelBriefings
retrieve channel briefings
Parameters
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
channel found |
|
401 |
Not authorized |
<<>> |
404 |
Not found |
<<>> |
500 |
Server error |
<<>> |
Samples
Retrieve channel briefing by channel tid
curl
curl --location 'http://<OMN_SERVER>/api/core/v1/cm/channels/briefings/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"tids": [
"Project Lvl 5"
],
"briefingInfo": {
"locale": "de_DE",
"briefingModuleCfgTid": "F.BriefingModule.ACC"
}
}'
Request body
{
"tids": [
"Project Lvl 5"
],
"briefingInfo": {
"locale": "de_DE",
"briefingModuleCfgTid": "F.BriefingModule.ACC"
}
}
Response body
<patch-briefing>
<layout id="64882" name="">
<attribute identifier="width">5000.0</attribute>
<attribute identifier="height">3000.0</attribute>
<seitenbriefing/>
<boxes>
<box id="64900" layer="Default" name="Assets" type="Assets">
<attribute identifier="width">454.7786</attribute>
<attribute identifier="height">588.4206</attribute>
<attribute identifier="xpos">1759.5819</attribute>
<attribute identifier="ypos">661.82874</attribute>
<attribute identifier="zpos">1000</attribute>
<attribute identifier="content_width">100.0%</attribute>
<attribute identifier="content_height">99.838646%</attribute>
<attribute identifier="content_xpos">0.0</attribute>
<attribute identifier="content_ypos">0.47470373</attribute>
<attribute identifier="content_rotate_angle">0.0</attribute>
<attribute identifier="content_reflection">0</attribute>
<attribute identifier="order_name"></attribute>
<attribute identifier="dummy_width">0.0%</attribute>
<attribute identifier="dummy_height">0.0%</attribute>
<attribute identifier="dummy_xpos">0.0</attribute>
<attribute identifier="dummy_ypos">0.0</attribute>
<attribute identifier="dummy_rotate_angle">0.0</attribute>
<attribute identifier="dummy_reflection">0</attribute>
<attribute identifier="text_article">false</attribute>
<images>
<image type="origin">
<attribute identifier="image_path">/file-formats/jpg.jpg</attribute>
<attribute identifier="image_width">100.0%</attribute>
<attribute identifier="image_height">99.838646%</attribute>
<attribute identifier="image_offset_x">0.0</attribute>
<attribute identifier="image_offset_y">0.47470373</attribute>
<attribute identifier="image_rotate_angle">0.0</attribute>
<attribute identifier="flipped_horizontal">0</attribute>
<attribute identifier="flipped_vertical"></attribute>
<attribute identifier="image_scale"></attribute>
</image>
</images>
<box_data/>
<related_products/>
<box_data_attributes/>
<briefing_images/>
</box>
<box id="64902" layer="Default" name="Assets" type="Assets">
<attribute identifier="width">300.0</attribute>
<attribute identifier="height">1006.993</attribute>
<attribute identifier="xpos">1315.331</attribute>
<attribute identifier="ypos">1219.1582</attribute>
<attribute identifier="zpos">1001</attribute>
<attribute identifier="content_width">100.0%</attribute>
<attribute identifier="content_height">97.70311%</attribute>
<attribute identifier="content_xpos">0.0</attribute>
<attribute identifier="content_ypos">11.564788</attribute>
<attribute identifier="content_rotate_angle">0.0</attribute>
<attribute identifier="content_reflection">0</attribute>
<attribute identifier="order_name"></attribute>
<attribute identifier="dummy_width">0.0%</attribute>
<attribute identifier="dummy_height">0.0%</attribute>
<attribute identifier="dummy_xpos">0.0</attribute>
<attribute identifier="dummy_ypos">0.0</attribute>
<attribute identifier="dummy_rotate_angle">0.0</attribute>
<attribute identifier="dummy_reflection">0</attribute>
<attribute identifier="text_article">false</attribute>
<images>
<image type="origin">
<attribute identifier="image_path">/file-formats/tif.tif</attribute>
<attribute identifier="image_width">100.0%</attribute>
<attribute identifier="image_height">97.70311%</attribute>
<attribute identifier="image_offset_x">0.0</attribute>
<attribute identifier="image_offset_y">11.564788</attribute>
<attribute identifier="image_rotate_angle">0.0</attribute>
<attribute identifier="flipped_horizontal">0</attribute>
<attribute identifier="flipped_vertical"></attribute>
<attribute identifier="image_scale"></attribute>
</image>
</images>
<box_data/>
<related_products/>
<box_data_attributes/>
<briefing_images/>
</box>
</boxes>
<briefing_images/>
</layout>
</patch-briefing>
Retrieve channel briefing by channel id
curl
curl --location 'http://<OMN_SERVER>/api/core/v1/cm/channels/briefings/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"ids": [
39112
],
"briefingInfo": {
"locale": "de_DE",
"briefingModuleCfgTid": "F.BriefingModule.ACC"
}
}'
Request body
{
"ids": [
39112
],
"briefingInfo": {
"locale": "de_DE",
"briefingModuleCfgTid": "F.BriefingModule.ACC"
}
}
Response body
<patch-briefing>
<layout id="64880" name="">
<attribute identifier="width">5000.0</attribute>
<attribute identifier="height">3000.0</attribute>
<seitenbriefing/>
<boxes/>
<briefing_images/>
</layout>
</patch-briefing>